Subject: Re: [Sigtran] M3UA error "No Configured AS for ASP”

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 1 Oct 2016 22:03:56 -0600

Suchetha,

Please see comments inline.

Suchetha P wrote:                        (Sat, 01 Oct 2016 05:59:45)
> Hi,
> 
> IuPS interface(Packet switching/data interface) between the nodes
> Signalling Gateway and SGSN is down after the Trillium SIGTRAN Stack
> Upgrade.  This is because of the M3UA error "No o Configured AS for
> ASP”.
> 
> 1)    The asExhangeMode is set to “singleExchange” at Signalling
>	Gateway while at SGSN side asExhangeMode is set to “doubleExchange”.
> 2)    Both the nodes are sending ASPUP & ASPUPACK. SG(Signalling
>	Gateway) then sends ASPAC and SGSN responds with ASPAC Ack.
>
> SGSN sends ASPAC but SG doesn’t respond with ASPAC Ack and instead it
> sends error message “ No Configured AS for ASP”.
> 
> We need to investigate why SG is not responding with ASPAC Ack message
> and instead sending Error message towards  SGSN.  Can this be a
> configuration issue ?Or a bug ?The same configuration was working
> before the Trillium upgrade.
>
> Is it proper to have one node in single exchange mode while the other
> as double exchange?

No, definitely not.

> Is the error being thrown for no routing context in the ASP AC message?

Yes, the error is only returned when no RC in ASPAC and no default RC
is configured for the ASP at the SG.

> Best Regards,
> Suchetha
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.com/